<!DOCTYPE html>
<html>
    <body>

        <h1  onmouseover="style.color='red'" onmouseout="style.color='blue'">Mouse over this text</h1>
        <h1 id="mouse" >ADD EVENT LISTENER</h1>
        <img src="C:\Users\Swetha kolla\Pictures\Screenshots\Screenshot(1).png" onmouseenter="alert('mouse moved')">
        <script>
            let mouse=document.getElementById('mouse')
            mouse.addEventListener('mousemove',()=>mouse.style.color='grey')
            mouse.addEventListener('mouseover',()=>mouse.style.color='red')//when mouse goes over an element
            mouse.addEventListener('mouseout',()=>mouse.style.color='blue')//when mouse outside an element
            mouse.addEventListener('mousedown',()=>mouse.style.color='pink')//when mouse is pressed on ana element
            mouse.addEventListener('mouseup',()=>mouse.style.color='green')//when mouse press is released
        </script>

    </body>
</html>